Loading...
Searching...
No Matches
CxxTest::OutputStream Class Reference

`#include <ErrorFormatter.h>`

## Public Types

typedef void(* | Manipulator) (OutputStream &)

## Public Member Functions

virtual | ~OutputStream ()
virtual void | flush ()
virtual OutputStream & | operator<< (unsigned)
virtual OutputStream & | operator<< (const char *)
virtual OutputStream & | operator<< (Manipulator m)

## Static Public Member Functions

static void | endl (OutputStream &o)

## Detailed Description

Definition at line 19 of file ErrorFormatter.h.

## Member Typedef Documentation

## Manipulator

typedef void(* CxxTest::OutputStream::Manipulator) (OutputStream &)

Definition at line 27 of file ErrorFormatter.h.

## Constructor & Destructor Documentation

## ~OutputStream()

virtual CxxTest::OutputStream::~OutputStream | ( |  | ) |

inline virtual

Definition at line 22 of file ErrorFormatter.h.

{}

## Member Function Documentation

## endl()

void CxxTest::OutputStream::endl | ( | OutputStream & | o | ) |

inline static

Definition at line 30 of file ErrorFormatter.h.

{ (o << "\n").flush(); }
CxxTest::OutputStream::flush
virtual void flush()
Definition ErrorFormatter.h:23

## flush()

virtual void CxxTest::OutputStream::flush | ( |  | ) |

inline virtual

Reimplemented in CxxTest::ErrorPrinter::Adapter, and CxxTest::StdioFilePrinter::Adapter.

Definition at line 23 of file ErrorFormatter.h.

{};

## operator<<() [1/3]

virtual OutputStream & CxxTest::OutputStream::operator<< | ( | const char * |  | ) |

inline virtual

Reimplemented in CxxTest::ErrorPrinter::Adapter, and CxxTest::StdioFilePrinter::Adapter.

Definition at line 25 of file ErrorFormatter.h.

{ return *this; }

## operator<<() [2/3]

virtual OutputStream & CxxTest::OutputStream::operator<< | ( | Manipulator | m | ) |

inline virtual

Reimplemented in CxxTest::ErrorPrinter::Adapter, and CxxTest::StdioFilePrinter::Adapter.

Definition at line 29 of file ErrorFormatter.h.

{ m( *this ); return *this; }
m
int m
Definition cfEzgcd.cc:128

## operator<<() [3/3]

virtual OutputStream & CxxTest::OutputStream::operator<< | ( | unsigned |  | ) |

inline virtual

Reimplemented in CxxTest::ErrorPrinter::Adapter, and CxxTest::StdioFilePrinter::Adapter.

Definition at line 24 of file ErrorFormatter.h.

{ return *this; }

The documentation for this class was generated from the following file:

- libpolys/tests/cxxtest/ErrorFormatter.h